<template lang="pug">
.row.b-param-container.justify-content-center.x-setup-info
  BaseParamReadonly.col-12.col-xl-6(title='Detectors Setup' :value='info.name || "Not Set"')
  BaseParam.col-12.col-xl-6.x-desc(title='Description')
    .col-12
      BaseMarkdownWidget(:value='info.description')
  .col-12
    BaseCollapsible(:expand='false' :counter='getSize(detectorsSetup)'
      :class="{ 'text-muted': $butils.isEmpty(detectorsSetup) }")
      template(v-slot:header)
        strong #[i.fa.fa-microscope] Detectors
      ul.list-group.w-100.mr-2
        DetectorInfo(:key='setup.detectorId' v-for="setup in detectorsSetup"
          :detector='getDbDetectors(setup.detectorId)'
          :container='getDbContainers(setup.containerId)')
</template>
<script>

export { default } from './DetectorSetupInfo.vue.js';

</script>
<style lang='scss'>
.x-setup-info {
  .x-desc .card-body {
      margin-top: 0.5rem;
  }
}
</style>
